library(pcrmeta)

nnn <- seq(50, 2000, by = 50)

all.dfs <- with(rbind(trials10, trials13),
                fit_model4(log(HR.DFS), log(OR.PCR), DFS.SE, PCR.SE))


mu.grad <- rbind(c(0, 1, 0, 0, 0), c(all.dfs$par["beta"], 0, all.dfs$par["mux"], 0, 0))

var.delta <- (mu.grad %*% solve(all.dfs$hessian) %*% t(mu.grad))
colnames(var.delta) <- rownames(var.delta) <- c("muy", "beta * mux")

p0 <- .1
p1 <- .2

res <- NULL
for(i in 1:length(nnn)){
  res <- rbind(res, c(nnn[i], fill_table(p0, p1, nnn[i], all.dfs)$a2))

}

library(reshape2)
library(ggplot2)

colnames(res) <- c("n", "var.delta", "sigma.g", "beta.hat.term")
res <- as.data.frame(res)

res$total <- with(res, var.delta + sigma.g + beta.hat.term)
res2 <- melt(res, id.vars = "n")

ggplot(res2, aes(x = n, y = value, color = variable)) + geom_line() + ggtitle(sprintf("p0 = %.1f; p1 = %.1f", p0, p1))
