% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/data-documentation.R
\docType{data}
\name{trials13}
\alias{trials13}
\title{Data from the 13 additional trials}
\format{A data frame with 9 columns:
\describe{
 \item{LancetID}{Letter used to identify the trial in the Cortazar paper}
 \item{Patients}{Number of participants in the trial, taken from the original trial publication}
 \item{OR.PCR}{Odds ratio for treatment effect on pCR, estimated by digitizing figure 6 of Cortazar}
  \item{HR.DFS}{Hazard ratio for treatment effect on DFS, estimated by digitizing figure 6 of Cortazar}
  \item{HR.OS}{Hazard ratio for treatment effect on OS, estimated by digitizing figure 6 of Cortazar}
  \item{PCR.SE}{Standard error estimate for the log odds ratio, estimated from original trial publication}
  \item{DFS.SE}{Standard error estimate for the log hazard ratio of DFS, estimated from original trial publication}
  \item{OS.SE}{Standard error estimate for the log hazard ratio of OS, estimated from original trial publication}
  \item{Trial}{Short trial identifier}
}}
\usage{
data(trials13)
}
\description{
Trial level data from the 13 additional trials analyzed in Berruti et al.
(2014).
}
\references{
Berruti A, Amoroso V, Gallo F et al. Pathologic complete response
  as a potential surrogate for the clinical outcome in patients with breast
  cancer after neoadjuvant therapy: a meta-regression of 29 randomized
  prospective studies. J Clin Oncol 2014;32:3883-3891.
}
\keyword{datasets}

